{\rtf1\ansi\ansicpg1252\cocoartf2758
\cocoatextscaling0\cocoaplatform0{\fonttbl\f0\fswiss\fcharset0 Helvetica;}
{\colortbl;\red255\green255\blue255;}
{\*\expandedcolortbl;;}
\paperw11900\paperh16840\margl1440\margr1440\vieww11520\viewh8400\viewkind0
\pard\tx720\tx1440\tx2160\tx2880\tx3600\tx4320\tx5040\tx5760\tx6480\tx7200\tx7920\tx8640\pardirnatural\partightenfactor0

\f0\fs24 \cf0 import numpy as np\
from matplotlib import rcParams\
import matplotlib.pyplot as plt\
from matplotlib.ticker import (MultipleLocator, FormatStrFormatter,\
                               AutoMinorLocator)\
import pandas as pd\
import xlrd\
\
df = pd.read_excel('Data.xlsx', sheet_name='Fig')\
a = df['V']\
b = df['I']*1000\
\
\
plt.figure(figsize=(5,5))\
plt.rcParams["axes.edgecolor"] = "black"\
plt.rcParams["axes.linewidth"] = 2\
plt.rcParams["font.family"] = "Arial"\
plt.semilogy(a,abs(b),'-',markevery=1,linewidth='3',color='Red',label='$\\mathregular\{1^\{st\}\}$Sweep')\
\
plt.xlim(-5,9)\
plt.ylim(1e-3,1e2)\
plt.xticks(np.arange(-6, 10, 2))\
#plt.yticks(np.arange(0.0001,10,1))\
plt.minorticks_on()\
\
\
plt.xlabel('$\\mathregular\{v(V)\}$',fontsize=26)\
plt.ylabel('$\\mathregular\{i(mA)\}$', fontsize=26)\
plt.tick_params(which='both',width=2,direction='in',labelsize=23)\
plt.tick_params(which='major', length=10)\
plt.tick_params(which='minor', length=5)\
plt.legend(loc=2, bbox_to_anchor=(0.4,0.4), ncol=1, fontsize=20, frameon=False)\
plt.savefig('Fig2a.jpg',dpi=300, bbox_inches='tight')\
plt.show()}